List RCS brands
Lists RCS brands owned by the authenticated organization.
GET
/
rcs
/
brands
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const response of client.rcs.brands.list()) {
console.log(response);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.rcs.brands.list()
print(page)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
brands, err := client.Rcs.Brands.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", brands.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var page = client.rcs().brands().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.rcs.brands.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->rcs->brands->list();
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx rcs:brands list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/rcs/brands \
--header 'Authorization: Bearer <token>'[
{
"brand_id": "11111111-1111-4111-8111-111111111111",
"display_name": "Acme",
"legal_name": "Acme LLC",
"legal_entity_type": "LIMITED_LIABILITY_COMPANY",
"organization_type": "PRIVATE_PROFIT",
"website_url": "https://www.example.com",
"status": "CREATED",
"profile_id": "40000000-0000-0000-0000-000000000001",
"identifiers": {
"ein": {
"identifier_type": "EIN",
"value": "12-3456789"
}
},
"addresses": {
"primary": {
"line_1": "1 Main Street",
"city": "Chicago",
"administrative_area": "IL",
"postal_code": "60601",
"country_code": "US"
}
},
"contacts": {
"brand": {
"contact_type": "BRAND",
"first_name": "Jane",
"last_name": "Doe",
"title": "Messaging Operations Manager",
"email": "jane@example.com",
"phone_number": "+13125550100"
}
},
"capabilities": {
"brand_entity": true,
"brand_verification": true,
"submission_sections": true,
"distinct_launch_phase": false,
"per_carrier_approval": false,
"templates": false,
"campaigns": false,
"vendor_webhooks": false,
"invite_test_devices": false
}
}
]{
"detail": "The requested RCS resource was not found."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
RCS brands owned by the organization.
Minimum string length:
1Pattern:
^[Hh][Tt][Tt][Pp][Ss]?://Available options:
CREATED, CONFIGURED, SUBMITTED, REVIEWING, VETTING, VERIFIED, REJECTED, FAILED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const response of client.rcs.brands.list()) {
console.log(response);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.rcs.brands.list()
print(page)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
brands, err := client.Rcs.Brands.List(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", brands.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var page = client.rcs().brands().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.rcs.brands.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->rcs->brands->list();
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx rcs:brands list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/rcs/brands \
--header 'Authorization: Bearer <token>'[
{
"brand_id": "11111111-1111-4111-8111-111111111111",
"display_name": "Acme",
"legal_name": "Acme LLC",
"legal_entity_type": "LIMITED_LIABILITY_COMPANY",
"organization_type": "PRIVATE_PROFIT",
"website_url": "https://www.example.com",
"status": "CREATED",
"profile_id": "40000000-0000-0000-0000-000000000001",
"identifiers": {
"ein": {
"identifier_type": "EIN",
"value": "12-3456789"
}
},
"addresses": {
"primary": {
"line_1": "1 Main Street",
"city": "Chicago",
"administrative_area": "IL",
"postal_code": "60601",
"country_code": "US"
}
},
"contacts": {
"brand": {
"contact_type": "BRAND",
"first_name": "Jane",
"last_name": "Doe",
"title": "Messaging Operations Manager",
"email": "jane@example.com",
"phone_number": "+13125550100"
}
},
"capabilities": {
"brand_entity": true,
"brand_verification": true,
"submission_sections": true,
"distinct_launch_phase": false,
"per_carrier_approval": false,
"templates": false,
"campaigns": false,
"vendor_webhooks": false,
"invite_test_devices": false
}
}
]{
"detail": "The requested RCS resource was not found."
}